import React from 'react';

export interface IAnimationInOutProps {
   visible?: boolean; // mostrar/esconder
   durationIn?: number; // duração da animação de entrada
   durationOut?: number; // duração da animação de saida
   animationIn?: 'fade' | 'slideLeft' | 'slideRight' | 'fadeSlideLeft' | 'fadeSlideRight'; // animação de entrada
   animationOut?: 'fade' | 'slideLeft' | 'slideRight' | 'fadeSlideLeft' | 'fadeSlideRight'; // animação de saida
   children?: any;
}
